unit uDialogOpcionesImpresionFacturasCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uDialogBase, ActnList, StdCtrls, ExtCtrls, cxRadioGroup;

type
  TfDialogOpcionesImpresionFacturasCliente = class(TfDialogBase)
    opcion1: TcxRadioButton;
    opcion2: TcxRadioButton;
    opcion3: TcxRadioButton;
    procedure actAceptarExecute(Sender: TObject);
    procedure actCancelarExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function ElegirOpcionesImpresionFacturaCliente(var AMarca : Integer): Boolean;

implementation

{$R *.dfm}

function ElegirOpcionesImpresionFacturaCliente(var AMarca : Integer): Boolean;
var
  AEditor : TfDialogOpcionesImpresionFacturasCliente;
begin
  AEditor := TfDialogOpcionesImpresionFacturasCliente.Create(NIL);
  try
    Result := (AEditor.ShowModal = mrOk);
    if Result then
    begin
      if True then
      begin
        if AEditor.opcion1.Checked then
           AMarca := 1
        else if AEditor.opcion2.Checked then
           AMarca := 2
        else if AEditor.opcion3.Checked then
           AMarca := 3
      end;
    end;
  finally
    AEditor.Release;
  end;
end;

procedure TfDialogOpcionesImpresionFacturasCliente.actAceptarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrOk
end;

procedure TfDialogOpcionesImpresionFacturasCliente.actCancelarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrCancel;
end;

end.
